<?php
  include("conn.php");
  include("fnc-titulares.php");
  $v_puntos_establ      = array();
  $v_item_puntos_establ = array();    

  //al filtro para obtener descripciones lo voy a tener que recorrer y agregar filtros or 
  if (isset($_POST['xLista'])) {
    $xLista = $_POST['xLista'];

    //transformo la xLista en un array de bases/cajas
    $listaCajas = explode(',',$xLista);
    $sqlFiltro = " AND ("; 
    foreach ($listaCajas as $value) {
      $aux = explode('-', $value);
     
      if ($sqlFiltro <> " AND (") {
        $sqlFiltro .= " OR ";
      }
      $sqlFiltro .= "(B.BASE = " . $aux[0] . " AND T.TITULAR = " . $aux[1] . ")";
    }
    $sqlFiltro .= ")";
  }
  else {
    $sqlFiltro = '';
  }

  $sqlVistaTitulares = getVistaTitulres($DBSegu);
  $sqlAdmin = ($_SESSION['CurrentAdmin'] == 0)?" AND UB.ID_USUARIO = ".$_SESSION['CurrentIdUser']:"";
  $sql = "SELECT DISTINCT B.BASE, B.DESCRI AS DESC_BASE, T.TITULAR, T.DESCRI AS DESC_TITULAR
          FROM (SELECT XB.BASE, XB.DESCRI 
                FROM BASES XB 
                     INNER JOIN USUARIOSBASES XUB 
                         INNER JOIN USUARIOS XU 
                         ON XUB.ID_USUARIO = XU.ID_USUARIO 
                            AND XU.USUARIO = 'PIXO_WEB' 
                     ON XB.BASE = XUB.BASE) B  
               INNER JOIN ".$sqlVistaTitulares." T
               ON B.BASE = T.BASE
               INNER JOIN USUARIOSBASES UB 
                   INNER JOIN USUARIOS U 
                   ON UB.ID_USUARIO = U.ID_USUARIO 
               ON B.BASE = UB.BASE ".$sqlAdmin."
          WHERE 1=1 ".$sqlFiltro."
          ORDER BY B.DESCRI ";
  $RsUnidades = $DBSegu->Execute($sql);
  if (!$RsUnidades) {
    print $DBSegu->ErrorMsg();
  }

  while (!$RsUnidades->EOF) {
    $contador = 0;		
    if ($v_puntos_establ <> '') {
      foreach ($v_puntos_establ as $name1 => $value1) { 
	    $contador++;
	    $$name1 = $value1;
      }
	  }
       
    $v_item_puntos_establ['value'] = $RsUnidades->fields['BASE'].'-'.$RsUnidades->fields['TITULAR'];
    $v_item_puntos_establ['text'] = utf8_encode($RsUnidades->fields['DESC_BASE'].' - '.$RsUnidades->fields['DESC_TITULAR']);
		
  	$v_puntos_establ[$contador] = $v_item_puntos_establ;

  	$RsUnidades->Movenext();			
  }
  
  header('Content-type: application/json; charset=utf-8');
  echo json_encode($v_puntos_establ);

    //echo '[{"value":1,"text":"HAmsterdam","continent":"Europe"},{"value":4,"text":"Washington","continent":"America"},{"value":7,"text":"Sydney","continent":"Australia"},{"value":10,"text":"Beijing","continent":"Asia"},{"value":13,"text":"Cairo","continent":"Africa"}]';
 ?>